## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.pages.privileges
Class ASATablePrivilegesDetailTableMetaData

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.commonui.privilege.PrivilegesDetailTableMetaData
          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.pages.privileges.ASATablePrivilegesDetailTableMetaData

    public class ASATablePrivilegesDetailTableMetaData

extends PrivilegesDetailTableMetaData

Privilege detail table meta data

Author:
  Idull

Field Summary
`static int` `ALTER_COLUMN`
`static java.lang.String[]` `COLUMN_ACTIONS`
`static int[]` `COLUMN_LENGTH`
`static java.lang.String[]` `COLUMN_NAMES`
`static int` `DELETE_COLUMN`
`static int` `INSERT_COLUMN`
`static int` `REFERENCE_COLUMN`
`static int` `SELECT_COLUMN`
`static int` `UPDATE_COLUMN`

Fields inherited from class org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.commonui.privilege.PrivilegesDetailTableMetaData
`GRANTEE_COLUMN`

Constructor Summary
`ASATablePrivilegesDetailTableMetaData()`

Method Summary
`java.lang.String[]` `getColumnActions()` Returns the column actions, corresponding to the column name.
`int[]` `getColumnLengths()` Returns the length of all the column
`java.lang.String[]` `getColumnNames()` Returns the column names
`int` `getColumnsCount()` Returns the column count

Methods inherited from class org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.commonui.privilege.PrivilegesDetailTableMetaData
`getAction, getAction, getColumnIndex, getColumnLength, getColumnName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLUMN_NAMES

    public static final java.lang.String[] COLUMN_NAMES

### COLUMN_LENGTH

    public static final int[] COLUMN_LENGTH

### COLUMN_ACTIONS

    public static final java.lang.String[] COLUMN_ACTIONS

### SELECT_COLUMN

    public static final int SELECT_COLUMN

See Also:
  Constant Field Values

### INSERT_COLUMN

    public static final int INSERT_COLUMN

See Also:
  Constant Field Values

### UPDATE_COLUMN

    public static final int UPDATE_COLUMN

See Also:
  Constant Field Values

### DELETE_COLUMN

    public static final int DELETE_COLUMN

See Also:
  Constant Field Values

### ALTER_COLUMN

    public static final int ALTER_COLUMN

See Also:
  Constant Field Values

### REFERENCE_COLUMN

    public static final int REFERENCE_COLUMN

See Also:
  Constant Field Values

Constructor Detail

### ASATablePrivilegesDetailTableMetaData

    public ASATablePrivilegesDetailTableMetaData()

Method Detail

### getColumnLengths

    public int[] getColumnLengths()

  Description copied from class: `PrivilegesDetailTableMetaData`
  Returns the length of all the column

  Specified by:
    `getColumnLengths` in class `PrivilegesDetailTableMetaData`
  Returns:

### getColumnNames

    public java.lang.String[] getColumnNames()

  Description copied from class: `PrivilegesDetailTableMetaData`
  Returns the column names

  Specified by:
    `getColumnNames` in class `PrivilegesDetailTableMetaData`
  Returns:

### getColumnsCount

    public int getColumnsCount()

  Description copied from class: `PrivilegesDetailTableMetaData`
  Returns the column count

  Specified by:
    `getColumnsCount` in class `PrivilegesDetailTableMetaData`
  Returns:

### getColumnActions

    public java.lang.String[] getColumnActions()

  Description copied from class: `PrivilegesDetailTableMetaData`
  Returns the column actions, corresponding to the column name.

  Remain empty for "Grantee" column

  Specified by:
    `getColumnActions` in class `PrivilegesDetailTableMetaData`
  Returns: